Previous Thread
Next Thread
Print Thread
Hop To
#265911 02/14/2024 3:31 PM
Joined: Feb 2004
Posts: 20
Likes: 1
N
Stranger
Stranger
N Offline
Joined: Feb 2004
Posts: 20
Likes: 1
My forums are down with the following error -

Fatal error: Uncaught Error: Call to undefined function get_magic_quotes_gpc() in /home1/legionwo/public_html/forums/libs/ubbthreads.inc.php:1404 Stack trace: #0 /home1/legionwo/public_html/forums/ubbthreads.php(109): explode_data() #1 {main} thrown in /home1/legionwo/public_html/forums/libs/ubbthreads.inc.php on line 1404

I tried removing the lines at 1404 but that just gives off different errors.

Nightcrawler #265912 02/14/2024 3:45 PM
Joined: Jun 2006
Posts: 16,299
Likes: 116
UBB.threads Developer
UBB.threads Developer
Joined: Jun 2006
Posts: 16,299
Likes: 116
Looks like you're running an ancient build on PHP7, you will need to upgrade for PHP7 support


I am a Web Development Contractor, I do not work for UBBCentral. I have provided free User to User Support since the beginning of these support forums.
Do you need Forum Install or Upgrade Services?
Forums: A Gardeners Forum, Scouters World
UBB.threads: UBBWiki, UBB Styles, UBB.Sitemaps
Longtime Supporter & Resident Post-A-Holic
VNC Web Services: Code Modifications, Upgrades, Styling, Coding Services, Disaster Recovery, and more!
Nightcrawler #265913 02/14/2024 3:52 PM
Joined: Feb 2004
Posts: 20
Likes: 1
N
Stranger
Stranger
N Offline
Joined: Feb 2004
Posts: 20
Likes: 1
Ancient build? I'm using UBB.threads 7.7.4, will 7.7.5 fix the issue?

Nightcrawler #265914 02/14/2024 9:38 PM
Joined: Feb 2004
Posts: 20
Likes: 1
N
Stranger
Stranger
N Offline
Joined: Feb 2004
Posts: 20
Likes: 1
So, trying to upgrade and I get this error.

Fatal error: Uncaught Error: Undefined constant "addstyles" in /home1/legionwo/public_html/forums/install/upgrade.php:297 Stack trace: #0 /home1/legionwo/public_html/forums/install/upgrade.php(1617): upgrade_header('1') #1 /home1/legionwo/public_html/forums/install/upgrade.php(218): get_auth() #2 {main} thrown in /home1/legionwo/public_html/forums/install/upgrade.php on line 297

Nightcrawler #265915 02/14/2024 10:25 PM
Joined: Jun 2006
Posts: 16,299
Likes: 116
UBB.threads Developer
UBB.threads Developer
Joined: Jun 2006
Posts: 16,299
Likes: 116
You'll need to consult the official support via the Support Desk as this will require hands on attention to see why it isn't working. These forums are for user to user support which don't require hands on support.

Have you tried uploading the Test Script to ensure your platform is fully capable? Has the forum ever run at this location before? If so, what changed from then to your initial inquiry? What version of PHP are you running?


I am a Web Development Contractor, I do not work for UBBCentral. I have provided free User to User Support since the beginning of these support forums.
Do you need Forum Install or Upgrade Services?
Forums: A Gardeners Forum, Scouters World
UBB.threads: UBBWiki, UBB Styles, UBB.Sitemaps
Longtime Supporter & Resident Post-A-Holic
VNC Web Services: Code Modifications, Upgrades, Styling, Coding Services, Disaster Recovery, and more!
Nightcrawler #265916 02/14/2024 10:36 PM
Joined: Feb 2004
Posts: 20
Likes: 1
N
Stranger
Stranger
N Offline
Joined: Feb 2004
Posts: 20
Likes: 1
I'll open a support ticket. Everything was running fine, in fact I was posting on the forums this morning, I've had these forums on this server since back in the Classic days.

These errors showed up this afternoon when I refreshed the main page. It's probably something my host has done. It looks like it's running PHP 8.0 (ea-php80), but I didn't upgrade it and it doesn't look like I can downgrade it like I used to be able to.

Nightcrawler #265917 02/14/2024 10:37 PM
Joined: Jun 2006
Posts: 16,299
Likes: 116
UBB.threads Developer
UBB.threads Developer
Joined: Jun 2006
Posts: 16,299
Likes: 116
UBB.threads is not PHP8 capable, system requirements on the main page list that it is a PHP7 script.


I am a Web Development Contractor, I do not work for UBBCentral. I have provided free User to User Support since the beginning of these support forums.
Do you need Forum Install or Upgrade Services?
Forums: A Gardeners Forum, Scouters World
UBB.threads: UBBWiki, UBB Styles, UBB.Sitemaps
Longtime Supporter & Resident Post-A-Holic
VNC Web Services: Code Modifications, Upgrades, Styling, Coding Services, Disaster Recovery, and more!
Nightcrawler #265918 02/14/2024 10:38 PM
Joined: Feb 2004
Posts: 20
Likes: 1
N
Stranger
Stranger
N Offline
Joined: Feb 2004
Posts: 20
Likes: 1
Yeah, I think my host upgraded today and screwed up my forums.

Nightcrawler #265919 02/14/2024 10:47 PM
Joined: Feb 2004
Posts: 20
Likes: 1
N
Stranger
Stranger
N Offline
Joined: Feb 2004
Posts: 20
Likes: 1
Yup. That's what happened. "PHP 7.0,7.2 are outside of their end of life and are not receiving security updates. Actions taken to continue to remain reliant on this service are not recommended by HostMonster."

Great. Any chance we're getting an upgrade on UBB's end BEFORE I'm forced to find a new host?

Last edited by Nightcrawler; 02/14/2024 10:48 PM.
Nightcrawler #265920 02/14/2024 11:33 PM
Joined: Jun 2006
Posts: 16,299
Likes: 116
UBB.threads Developer
UBB.threads Developer
Joined: Jun 2006
Posts: 16,299
Likes: 116
Unfortunately the dev team is contacted out of house and we all have day jobs that pay the bills... So where it is getting worked on it's currently on stand still until Isaac has the time to finish the upgrader changes.


I am a Web Development Contractor, I do not work for UBBCentral. I have provided free User to User Support since the beginning of these support forums.
Do you need Forum Install or Upgrade Services?
Forums: A Gardeners Forum, Scouters World
UBB.threads: UBBWiki, UBB Styles, UBB.Sitemaps
Longtime Supporter & Resident Post-A-Holic
VNC Web Services: Code Modifications, Upgrades, Styling, Coding Services, Disaster Recovery, and more!
Nightcrawler #265921 02/14/2024 11:44 PM
Joined: Feb 2004
Posts: 20
Likes: 1
N
Stranger
Stranger
N Offline
Joined: Feb 2004
Posts: 20
Likes: 1
I was able to revert the PHP version in an htaccess file and the forums are back up. Thanks for the help in determining what to look for, Gizmo.

I renewed my membership for the year, hope that helps a bit. Let us know if you guys need anything from us users.

Nightcrawler #265922 02/14/2024 11:47 PM
Joined: Jun 2006
Posts: 16,299
Likes: 116
UBB.threads Developer
UBB.threads Developer
Joined: Jun 2006
Posts: 16,299
Likes: 116
The current development team is a 3rd party organization (and also the founding modification community), UBB.Developers Network; however UBBCentral is owned by UBBSystems a privately run company.

Glad that you got it working with .htaccess, it can be a great tool to make system level changes.

I know that UBBSystems offers some sort of hosting option, I'm however not clear on what the pricing is for said option. I myself host on a VPS server so I have the PHP builds that I utilize installed.


I am a Web Development Contractor, I do not work for UBBCentral. I have provided free User to User Support since the beginning of these support forums.
Do you need Forum Install or Upgrade Services?
Forums: A Gardeners Forum, Scouters World
UBB.threads: UBBWiki, UBB Styles, UBB.Sitemaps
Longtime Supporter & Resident Post-A-Holic
VNC Web Services: Code Modifications, Upgrades, Styling, Coding Services, Disaster Recovery, and more!
Nightcrawler #265925 02/15/2024 10:35 AM
Joined: Feb 2004
Posts: 20
Likes: 1
N
Stranger
Stranger
N Offline
Joined: Feb 2004
Posts: 20
Likes: 1
The host changed my htaccess file over night and I had to fix it again this morning. I'm begging them now to please allow PHP 7.4 until the forum software can be upgraded.

Nightcrawler #265926 02/15/2024 11:00 AM
Joined: Jun 2006
Posts: 987
Likes: 24
Old Hand
Old Hand
Joined: Jun 2006
Posts: 987
Likes: 24
Originally Posted by Nightcrawler
The host changed my htaccess file over night and I had to fix it again this morning. I'm begging them now to please allow PHP 7.4 until the forum software can be upgraded.

Nightcrawler if you have a chat with UBBSystems could you ask if they know when/if Version 8.0 will be available?
Then we all could change to PHP8.


Morgan Johansson
BritBike Forum
https://www.britbike.com/forums/ubbthreads.php
Morgan #265927 02/15/2024 11:44 AM
Joined: Feb 2004
Posts: 20
Likes: 1
N
Stranger
Stranger
N Offline
Joined: Feb 2004
Posts: 20
Likes: 1
Originally Posted by Morgan
Originally Posted by Nightcrawler
The host changed my htaccess file over night and I had to fix it again this morning. I'm begging them now to please allow PHP 7.4 until the forum software can be upgraded.

Nightcrawler if you have a chat with UBBSystems could you ask if they know when/if Version 8.0 will be available?
Then we all could change to PHP8.

They said soon. So, I hope that's the case.

1 member likes this: Geoff

Link Copied to Clipboard
ShoutChat
Comment Guidelines: Do post respectful and insightful comments. Don't flame, hate, spam.
Recent Topics
Bots
by Outdoorking - 04/13/2024 5:08 PM
Can you add html to language files?
by Baldeagle - 04/07/2024 2:41 PM
Do I need to rebuild my database?
by Baldeagle - 04/07/2024 2:58 AM
This is not a bug, but a suggestion
by Baldeagle - 04/05/2024 11:25 PM
Is UBB.threads still going?
by Aaron101 - 04/01/2022 8:18 AM
Who's Online Now
0 members (), 354 guests, and 173 robots.
Key: Admin, Global Mod, Mod
Random Gallery Image
Latest Gallery Images
Los Angeles
Los Angeles
by isaac, August 6
3D Creations
3D Creations
by JAISP, December 30
Artistic structures
Artistic structures
by isaac, August 29
Stones
Stones
by isaac, August 19
Powered by UBB.threads™ PHP Forum Software 8.0.0
(Preview build 20230217)